Package org.eclipse.swt.browser

# Class ProgressEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.browser.ProgressEvent

public class ProgressEvent extends TypedEvent
A `ProgressEvent` is sent by a `Browser` to `ProgressListener`'s when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.

Since:
  1.4

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`current`
current value
`int`
`total`
total value

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### current

public int current
current value

### total

public int total
total value

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event